#!/bin/bash
SPECSYNC_DIR=$HOME/SpecSync.Mono
TFS_URL=<add your TFS project URL here, like https://gasparnagy.visualstudio.com/DefaultCollection/SpecSync4MTM.Demo>
TFS_USER=<add your TFS user name here>
TFS_PWD=<add your TFS password here>

# SpecSync currently needs the file "libMonoPosixHelper.so" to be in the current
# folder. This is not required when running it via Mono.
# This limitation will be removed in the future.
echo Copy libMonoPosixHelper.so to the current folder
cp $SPECSYNC_DIR/libMonoPosixHelper.so .

echo Synchronize feature files within "Features" folder
find Features/ -name *.feature | $SPECSYNC_DIR/SpecSync4MTM --tfsUrl $TFS_URL --listFilePath STDIN --user $TFS_USER --password $TFS_PWD
# Alternatively, after intstalling the Mono runtime (http://www.mono-project.com/docs/getting-started/install/), the synchronization can also be invoked using
#   find Features/ -name *.feature | mono $SPECSYNC_DIR/Assemblies/SpecSync4MTM.exe --tfsUrl $TFS_URL --listFilePath STDIN --user $TFS_USER --password $TFS_PWD

# In case of synchronizing SpecFlow projects from Linux, you can skip the "find" 
# command and the "--listFilePath STDIN" setting: SpecSync will find the SpecFlow 
# project (.csproj) in the current folder.

echo Delete libMonoPosixHelper.so from the current folder
rm -f libMonoPosixHelper.so